Kerbal Space Program - Bug #2055

Encounter change while under normal physics.
01/29/2014 03:41 AM - EzriAran

Status: Closed Start date: 01/29/2014
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.23 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Stock game, on Windows 7. Ship has no clipped parts, in this state no engines, SAS is off.

This is an example of a problem ive been having for a little while now, | left the game running for about 20 minutes from my transfer
at 100km above Kerbin, to Mun, at a periapse of 198.5km for an orbit and return to Kerbin. And noticed a drift without time warp of
my periapse. At the time of this report, 35 minutes, is 198.0. so not quite 1.6m loss a minute, the previous target i had was a 13km
periapse, and that gained. The effect is greater the further away the transfer is, the heavier the vessel is, and makes gravity assists
very inaccurate. Its kind of like the effect of a highly circular orbit, makes the apoapse and periapse move, but with a highly eccentric
orbit instead.

This combined with Bug #1978, means i cant leave any ships alone, and have to time accelerate them to their destination
immediately. ive entirely missed a 14Gm encounter with eve, and a 21gm encounter with duna once they left kerbin's sphere of
influence. An example to this, was my solar probe, which i had set up with a periapse of 7Gm, and left it for 9 in-game days with time
acceleration for other projects. when i returned to it it had a periapse of 8.6Gm, and this bug has been fairly consistant in my game
for the last 2 weeks or so, after reinstalling the game a number of times and trying to debunk it as one of my mods.

Related issues:
Related to Kerbal Space Program - Bug #1978: Leaving Warp causes changes in P... Closed 12/17/2013

History

#1 - 09/08/2015 04:28 AM - RexKramer
- Related to Bug #1978: Leaving Warp causes changes in Pe and Ap. added

#2 - 07/17/2016 09:25 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/08/2016 12:53 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
